Bug 2042416 - Unclickable Class names in Configure > Puppet classes
Summary: Unclickable Class names in Configure > Puppet classes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Puppet
Version: 6.11.0
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: 6.11.0
Assignee: Ondřej Ezr
QA Contact: Vladimír Sedmík
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-19 13:48 UTC by Zuzana Lena Ansorgova
Modified: 2022-07-05 14:32 UTC (History)
2 users (show)

Fixed In Version: foreman-3.2.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:32:03 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 34506 0 Normal New Infer of permission name for isolated namespace controllers doesnt work 2022-02-23 15:37:40 UTC
Github theforeman foreman_puppet issues 244 0 None open "Organization admin" role doesn’t have permission to edit host’s Puppet classes 2022-02-01 20:27:29 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:32:15 UTC

Description Zuzana Lena Ansorgova 2022-01-19 13:48:27 UTC
Description of problem:
As a non-admin user I cannot click a Class name in the table of Puppet Classes to edit the class


Version-Release number of selected component (if applicable): foreman_puppet 3.0.0


How reproducible:


Steps to Reproduce:
1. Log in as a user with "Manager" and "Site Manage" roles (having all permissions including "edit_classes").
2. Navigate to Configure > [Puppet ENC] Classes
3. Attempt to click a Class name

Actual results:
Class names are greyed out, i.e. they cannot be clicked.


Expected results:
Class names should be clickable with the aforementioned permissions.


Additional info:
When the user role was changed to "admin", the Class names were clickable.

Comment 2 Marek Hulan 2022-01-19 13:54:14 UTC
Perhaps there's some issue with the resource type or edit_classes vs the edit_puppetclasses, relevant code https://github.com/theforeman/foreman_puppet/blame/master/lib/foreman_puppet/register.rb#L140-L142

for the record, the user (Manager role) also contains view_puppetclasses, create_puppetclasses, edit_puppetclasses, destroy_puppetclasses, import_puppetclasses

I can offer a reproducer

Comment 3 Zuzana Lena Ansorgova 2022-01-19 14:08:11 UTC
Maybe this can also help: I couldn't either edit a Config Group that I created previously.

Comment 5 Ondřej Ezr 2022-02-23 15:37:40 UTC
This will need to be fixed in Foreman core, linking ticket that address this issue.

Comment 6 Bryan Kearney 2022-02-23 16:05:11 UTC
Upstream bug assigned to oezr

Comment 7 Bryan Kearney 2022-02-23 16:05:14 UTC
Upstream bug assigned to oezr

Comment 9 Vladimír Sedmík 2022-03-30 13:15:54 UTC
Verified in 6.11 snap 14 - via user with Manager and Site Manager roles:
1) puppet classes are clickable and can be updated
2) config groups can be created, updated and deleted

Comment 12 errata-xmlrpc 2022-07-05 14:32:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.